package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Property;
import org.apache.ibatis.annotations.Mapper;

/**
 * 资产表 Mapper接口
 *
 * @author ruoyi
 */
@Mapper
public interface PropertyMapper
{
    /**
     * 查询资产集合
     *
     * @param property 资产信息
     * @return 资产集合
     */
    public List<Property> selectPropertyList(Property property);

    /**
     * 根据ID查询资产信息
     *
     * @param id 主键ID
     * @return 资产信息
     */
    public Property selectPropertyById(Long id);

    /**
     * 新增资产信息
     *
     * @param property 资产信息
     * @return 结果
     */
    public int insertProperty(Property property);

    /**
     * 修改资产信息
     *
     * @param property 资产信息
     * @return 结果
     */
    public int updateProperty(Property property);

    /**
     * 删除资产信息
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deletePropertyById(Long id);

    /**
     * 批量删除资产信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deletePropertyByIds(Long[] ids);
}